Bug 80625 - Move DirectoryEntry and DirectoryReader to new Modules/filesystem/ directory
: Move DirectoryEntry and DirectoryReader to new Modules/filesystem/ directory
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
: 80908
:
  Show dependency treegraph
 
Reported: 2012-03-08 12:08 PST by
Modified: 2012-03-13 12:12 PST (History)


Attachments
Patch (101.40 KB, patch)
2012-03-08 12:09 PST, Mark Pilgrim (Google)
no flags Review Patch | Details | Formatted Diff | Diff
Patch (100.48 KB, patch)
2012-03-12 13:34 PST, Mark Pilgrim (Google)
no flags Review Patch | Details | Formatted Diff | Diff
Patch (102.05 KB, patch)
2012-03-12 17:49 PST, Mark Pilgrim (Google)
no flags Review Patch | Details | Formatted Diff | Diff
Patch (102.92 KB, patch)
2012-03-12 20:04 PST, Mark Pilgrim (Google)
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-03-08 12:08:48 PST
Move DirectoryEntry and DirectoryReader to new Modules/filesystem/ directory
------- Comment #1 From 2012-03-08 12:09:56 PST -------
Created an attachment (id=130872) [details]
Patch
------- Comment #2 From 2012-03-08 12:11:08 PST -------
This creates the new Modules/filesystem/ subdirectory and moves DirectoryEntry and DirectoryReader files to it, and updates all build systems accordingly.
------- Comment #3 From 2012-03-08 15:01:34 PST -------
(From update of attachment 130872 [details])
This looks fine.  It's slightly hard to tell how you're changing the xcodeproj file.

It looks like the bots are having trouble applying your patch.  Are you synced to top-of-tree?  For a patch like this, it's important to run it through the EWS bots so that we can have some confidence that we're not going to break a bunch of builds.
------- Comment #4 From 2012-03-12 13:34:27 PST -------
Created an attachment (id=131395) [details]
Patch
------- Comment #5 From 2012-03-12 13:35:00 PST -------
Updated patch from ToT, submitted to EWS.
------- Comment #6 From 2012-03-12 13:38:27 PST -------
Attachment 131395 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/CMakeLists.txt', u'Source/W..." exit_code: 1
Source/WebCore/Modules/filesystem/DirectoryEntrySync.h:38:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/Modules/filesystem/DirectoryEntry.h:38:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 2 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #7 From 2012-03-12 15:20:38 PST -------
Thanks!
------- Comment #8 From 2012-03-12 16:38:51 PST -------
(From update of attachment 131395 [details])
Clearing flags on attachment: 131395

Committed r110501: <http://trac.webkit.org/changeset/110501>
------- Comment #9 From 2012-03-12 16:38:57 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #10 From 2012-03-12 17:26:58 PST -------
I rolled this patch out because it broke the Apple Windows build.
------- Comment #11 From 2012-03-12 17:49:42 PST -------
Created an attachment (id=131475) [details]
Patch
------- Comment #12 From 2012-03-12 17:51:59 PST -------
(From update of attachment 131475 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=131475&action=review

> Source/WebCore/WebCore.vcproj/WebCore.vcproj:56861
> -				RelativePath="..\fileapi\DirectoryEntry.cpp"
> +				RelativePath="..\Modules\filesystem\DirectoryEntry.cpp"

Please move these up higher in the file to their alphabetical place.  Note: You'll want to create a filter for filesystem, like the other modules have.
------- Comment #13 From 2012-03-12 17:53:32 PST -------
Attachment 131475 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/CMakeLists.txt', u'Source/W..." exit_code: 1
Source/WebCore/Modules/filesystem/DirectoryEntrySync.h:38:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/Modules/filesystem/DirectoryEntry.h:38:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 2 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #14 From 2012-03-12 20:04:53 PST -------
Created an attachment (id=131500) [details]
Patch
------- Comment #15 From 2012-03-12 20:05:21 PST -------
Now with filter for filesystem in vcproj.
------- Comment #16 From 2012-03-12 20:08:19 PST -------
Attachment 131500 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/CMakeLists.txt', u'Source/W..." exit_code: 1
Source/WebCore/Modules/filesystem/DirectoryEntrySync.h:38:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebCore/Modules/filesystem/DirectoryEntry.h:38:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 2 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #17 From 2012-03-12 22:31:37 PST -------
(From update of attachment 131500 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=131500&action=review

> Source/WebCore/DerivedSources.make:202
> +    $(WebCore)/Modules/filesystem/DirectoryEntry.idl \
> +    $(WebCore)/Modules/filesystem/DirectoryEntrySync.idl \
> +    $(WebCore)/Modules/filesystem/DirectoryReader.idl \
> +    $(WebCore)/Modules/filesystem/DirectoryReaderSync.idl \

Really all of these lists should be alphabetical...  Maybe you want to do that in a follow-up patch?
------- Comment #18 From 2012-03-13 04:29:31 PST -------
(From update of attachment 131500 [details])
OK, I'll do a followup patch for style cleanup after all the files are moved successfully.
------- Comment #19 From 2012-03-13 10:43:59 PST -------
(From update of attachment 131500 [details])
The EWS bots predict success!
------- Comment #20 From 2012-03-13 10:55:40 PST -------
So does my astrologist!
------- Comment #21 From 2012-03-13 12:12:21 PST -------
(From update of attachment 131500 [details])
Clearing flags on attachment: 131500

Committed r110589: <http://trac.webkit.org/changeset/110589>
------- Comment #22 From 2012-03-13 12:12:33 PST -------
All reviewed patches have been landed.  Closing bug.